Name:               damnvid
Version:             1.6 
Release:           %mkrel 3
Summary: DamnVid is a video downloader and converter
Summary(es): DamnVid es un convertidor y descargador de vídeos
Group:              Video
License:           GPLv3
URL:                 http://code.google.com/p/damnvid/
Source0:          %{name}-%{version}.tar.xz
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  wxPythonGTK
BuildRequires:  python-beautifulsoup
BuildRequires:  python-gdata
Requires:       wxPythonGTK
Requires:       python-beautifulsoup
Requires:       python-gdata
Requires:       ffmpeg


%description
DamnVid is a cross-platform application to download and convert videos
from your hard drive or from dozens of video sharing websites like YouTube,
Dailymotion, Veoh, Metacafe, etc. Basically, it's a video downloader
and converter that sucks less.

    
%description -l es
DamnVid es una aplicación multiplataforma para descargar y convertir
vídeos desde su disco duro o desde docenas de sitios web de compartición
de vídeos, como Youtube, Dailymotion, Veoh, Metacafe, etc. Básicamente
es un descargador y compartidor que chupa menos recursos.

%prep
%setup -q -n %{name}


%build
rm -rf %{buildroot}
python DamnVid.py --rebuild-modules


%install
install -d %{buildroot}%{_datadir}/%{name}/conf %{buildroot}%{_datadir}/%{name}/img %{buildroot}%{_datadir}/%{name}/locale %{buildroot}%{_datadir}/%{name}/modules %{buildroot}%{_datadir}/%{name}/socks
cp -R conf/* %{buildroot}%{_datadir}/%{name}/conf
cp -R img/* %{buildroot}%{_datadir}/%{name}/img
cp -R locale/* %{buildroot}%{_datadir}/%{name}/locale
cp -R modules/* %{buildroot}%{_datadir}/%{name}/modules
cp -R socks/* %{buildroot}%{_datadir}/%{name}/socks
cp DamnVid.py version.damnvid %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_bindir}

cat > %{buildroot}%{_bindir}/%{name} << EOF
python %{_datadir}/%{name}/DamnVid.py
EOF
install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=DamnVid
Comment=Video downloader and converter
Comment[es]=Descargador y convertidor de vídeo
Icon=%{_datadir}/%{name}/img/icon48.png
Exec=%{name}
Type=Application
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Video;
StartupNotify=true
EOF


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/DamnVid.py
%{_datadir}/%{name}/version.damnvid
%{_datadir}/%{name}/conf/*
%{_datadir}/%{name}/img/*
%{_datadir}/%{name}/locale/*
%{_datadir}/%{name}/modules/*
%{_datadir}/%{name}/socks/*


%changelog
* Sat Nov 05 2011 Texstar <texstar at gmail.com. 1.6-3pclos2011
- update youtube module

* Mon Oct 03 2011 Archie <pclinuxos.ph at gmail.com> 1.6-2pclos2011 
- Ported to PCLinuxOS
- Rebuild for x86_64

